{% extends 'bases/base.html' %}
{% load i18n breadcrumbs crispy_forms_tags %}

{% block page_title %}{% translate "Alliance Dashboard" %}{% endblock %}
{% block breadcrumbs %}
<li class="breadcrumb-item"><a href="{% url 'alliance_dashboard' %}" style="color:white">{% translate "Alliance Dashboard" %}</a></li>
{% endblock %}

{% block content %}

<div class="container-fluid p-0">
    <div class="row">

        <div class="col-12 col-lg-4">

            <div class="card">
                <div class="card-body">
                    <div class="card-img-center">
                        <img src="{{ user.avatar.get_image |default:'/static/my_adalia_id/images/avatars/default.png' }}" class="avatar img-fluid rounded-circle me-1" alt="{% translate 'Gravatar' %}" />
                    </div>
                    <hr />
                    <dl class="row">
                        <dt class="col-6">{% translate "Formal Name" %}:</dt>
                    <dd>
                        First Alliance
                    </dd>
                    <dt class="col-6">{% translate "Leader" %}:</dt>
                    <dd>
                        Thunder
                    </dd>
                    <dt class="col-6">{% translate "Officers" %}:</dt>
                        <dd>
                            <ul>
                                {% for wallet in wallets %}
                                    <li><tt>{{ wallet.address }}</tt></li>
                                {% endfor %}
                            </ul>
                        </dd>
                    </dl>
                    <hr />

                    <dl class = "row">
                        <dt class="col-6">{% translate "Headquarters" %}:</dt>
                        <dd>
                            /104
                        </dd>
                    </dl>
                    <img src="https://images.influenceth.io/v1/asteroids/104/image.svg" alt="{{ asset.get_spectral_type_display }}" width="404" height="539" margins="auto">
                </div>
                <!-- <div class="card-footer">&nbsp;</div> -->
            </div>

        </div>

        <div class="col-12 col-lg-8">

            <div class="card">
                <div class="card-header">
                    <div class="card-title">First Alliance's {% translate 'Asteroids' %}</div>
                </div>
                <div class="card-body">
                    <table id="main-table" class="table table-striped" style="width:100%" data-server-side="true" data-ajax="/api/adalia_id/asteroids/personal?format=datatables">
                        <thead>
                            <tr>
                                <th data-data="serial">{% translate "ID" %}</th>
                                <th data-data="name">{% translate "Name" %}</th>
                                <th data-data="spectral_type">{% translate "Spectral Type" %}</th>
                                <th data-data="diameter">{% translate "Diameter" %}</th>
                                <th data-data="semi_major_axis">{% translate "Semi-Major Axis" %}</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
                <div class="card-footer">&nbsp;</div>
            </div>
            <script>
                $(document).ready(function () {
                $('#main-table').DataTable({
                    "processing": true,
                    "serverSide": true,
                    "createdRow": function (row, data, index) {
                        row.onclick = function () {
                            window.location.href = Urls["nfts:asset-detail"]("INFA", data["serial"])
                        };
                    },
                    "columns": [
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null]
                    });
                });
            </script>

            <div class="card">
                <div class="card-header">
                    <div class="card-title">First Alliance's {% translate 'Crewmates' %}</div>
                </div>
                <div class="card-body">
                    <table id="main-table" class="table table-striped" style="width:100%" data-server-side="true"
                        data-ajax="/api/adalia_id/crewmates/{{ refinement }}?format=datatables">
                        <thead>
                            <tr>
                                <th data-data="serial">{% translate "ID" %}</th>
                                <th data-data="current_owner">{% translate "Owner" %}</th>
                                <th data-data="allegiance">{% translate "Allegiance" %}</th>
                                <th data-data="name">{% translate "Name" %}</th>
                                <th data-data="crew_class">{% translate "Class" %}</th>
                                <th data-data="title">{% translate "Job Title" %}</th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
            <script>
                $(document).ready(function () {
                    $('#main-table').DataTable({
                        "createdRow": function (row, data, index) {
                            row.onclick = function () {
                                window.location.href = Urls["nfts:asset-detail"]("{{ collection_symbol }}", data["serial"])
                            };

                        },
                        "columns": [
                            null,
                            null,
                            {
                                "sortable": false,
                            },
                            null,
                            {
                                "defaultContent": "",
                            },
                            {
                                "defaultContent": "",
                            }
                        ]
                    });
                });
            </script>
        </div>

    </div>
</div>
{% endblock %}
